LIBRARY ieee  ; 
USE ieee.std_logic_1164.all  ; 
USE ieee.std_logic_arith.all  ; 
USE ieee.std_logic_unsigned.all  ; 
ENTITY clk_div5_tb  IS 
END ; 
 
ARCHITECTURE clk_div5_tb_arch OF clk_div5_tb IS
  SIGNAL clk_out   :  std_logic := '0'  ; 
  SIGNAL clk   :  std_logic  ; 
  COMPONENT clk_div5  
    PORT ( 
      clk_out  : out std_logic ; 
      clk  : in std_logic ); 
  END COMPONENT ;   
  
-- Clock period definitions
constant clk_period : time := 100 ns;

BEGIN
  DUT  : clk_div5  
    PORT MAP ( 
      clk_out   => clk_out  ,
      clk   => clk   ) ; 
      
      
  clk_process :process
	begin
	  for Z in 1 to 8000
	  loop
		clk  <= '1'  ;
		wait for clk_period/2;
		clk  <= '0'  ;
		wait for clk_period/2;
	  end  loop;
	  wait;
	end process;   

END ; 

